Bug 1871441 - Console backend tests do not generate a JUnit report
Summary: Console backend tests do not generate a JUnit report
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.6.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-23 15:14 UTC by Samuel Padgett
Modified: 2020-08-26 10:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1871176
Environment:
Version: 4.6.0-0.nightly-2020-08-02-134243 Cluster ID: f5e2e915-8a19-4378-bc89-b4fb9e0b911e Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:80.0) Gecko/20100101 Firefox/80.0
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6400 None open Bug 1871441: add JUnit report for backend tests in CI 2020-08-23 15:15:09 UTC

Description Samuel Padgett 2020-08-23 15:14:51 UTC
We should add a JUnit report for our backend tests for better CI integration. Without the report, there is no record of what tests passed on a successful run.

This PR covers the backend tests, whereas bug 1871176 covered the frontend tests.


Note You need to log in before you can comment on or make changes to this bug.